org.apache.hadoop.yarn.nodelabels.event

## Class RemoveClusterNodeLabels

- java.lang.Object
- - org.apache.hadoop.yarn.event.AbstractEvent<NodeLabelsStoreEventType>
  - - org.apache.hadoop.yarn.nodelabels.event.NodeLabelsStoreEvent
    - - org.apache.hadoop.yarn.nodelabels.event.RemoveClusterNodeLabels

- All Implemented Interfaces:
    Event<NodeLabelsStoreEventType>

      public class RemoveClusterNodeLabels
      extends NodeLabelsStoreEvent

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveClusterNodeLabels(Collection<String> labels)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<String>` | `getLabels()`

    - ### Methods inherited from class org.apache.hadoop.yarn.event.AbstractEvent

      `getTimestamp, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoveClusterNodeLabels

          public RemoveClusterNodeLabels(Collection<String> labels)

  - ### Method Detail

    - #### getLabels

          public Collection<String> getLabels()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.